Subject: bug#41755: feature/native-comp (master?): temacs crash in GC during mark phase

From: Nicolas Bértolo <[email-masked]>
Date: Sun, 7 Jun 2020 16:57:59 -0300

Hi,

I can confirm that what I found was this issue.

> Does it happen for non-optimized builds? Also, what symbol is at
> Lisp_Object value 0xb4f0 (i.e. iQwhatever == 405)?

I haven't been able to reproduce it in non-optimized builds.

What I understand so far is that the GC begins marking the stack of the main
thread and it takes some data in the stack as a pointer to valid Lisp data. It
starts following all the pointers and it eventually SIGSEGVs. I have seen it
crash trying to read symbols, conses and strings.